provide a way to set unlimited attachment size
Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

This issue is a branch from #13949

Given Setting page /settings

And set "Maximum Attachment Size" to 0 meaning unlimited

When I visit issue create page /projects/projectname/issues/new

And choose any arbitrary big file

And key-in any other required fields

And click "create" button

Then progress the file is uploaded

Related issues:

Related to Redmine - Defect #13949: Handling of attachment uploads when 'Maxi... Closed

History

#1 - 2020-02-24 10:43 - Виктор Воеводский

+1

#2 - 2024-01-21 10:22 - Go MAEDA

Since some users set 0 in order to prohibit file uploads, I think we should not change the behavior of 0.

#3 - 2024-08-22 11:02 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

As already discussed in #13949, setting a very large value for "Maximum attachment size" can effectively make the attachment size unlimited. I don't

think it's necessary to add a special option to make the attachment size unlimited.
